%define piname	sar_pi
%define _disable_ld_no_undefined 1
%global ocpnlibscommit0 1a6c1a7ba74c5bb0fdf141d7d21230f49929fcdc

Name:		opencpn-sar-plugin
Summary:	Search And Rescue plugin for OpenCPN
Version:	4.1.0
Release:	%mkrel 1
License:	GPLv2
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/sar.html
Source0:	https://github.com/Rasbats/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Patch0:     opencpn-libs-1a6c1a7-tinyxml.patch
Patch1:     opencpn-libs-1a6c1a7-json.patch
Patch2:     opencpn-libs-1a6c1a7-ocpn_plugin.patch
Patch3:     sar_pi-4.1.0-GetArch.patch

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:  pkgconfig(jsoncpp)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Create Search and Rescue patterns with desired parameters.

%prep
%setup -a1 -n %{piname}-%{version}

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1

mv opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/

%build
%cmake 

%cmake_build

%install

mkdir -p %{buildroot}%{_libdir}/opencpn
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data
mkdir -p %{buildroot}%{_datadir}/locale

install -Dpm755 %{_vpath_builddir}/lib%{piname}.so %{buildroot}%{_libdir}/opencpn
install -Dpm644 data/*.* %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data/
mv %{_vpath_builddir}/app/sar-4.1-mageia-*/share/locale %{buildroot}%{_datadir}

%files 
%doc README
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/
%{_datadir}/locale


%changelog
* Mon Apr 28 2025 philippedidier <philippedidier> 4.1.0-1.mga10
+ Revision: 2179610
- new version 4.1.0 little patch added for GCC 15.1.0

* Thu Jan 11 2024 philippedidier <philippedidier> 4.0.0-2.mga10
+ Revision: 2029708
- rebuilt upon more recent opencpn-libs

* Tue May 30 2023 philippedidier <philippedidier> 4.0.0-1.mga9
+ Revision: 1959948
- new version 4.0.0 built upon wxgtku 3.2

* Sun Jul 10 2022 philippedidier <philippedidier> 3.0.0-1.mga9
+ Revision: 1868279
- New version 3.0.0

* Sun Apr 03 2022 umeabot <umeabot> 2.6-3.mga9
+ Revision: 1842567
- Mageia 9 Mass Rebuild

* Fri Jul 23 2021 barjac <barjac> 2.6-2.mga9
+ Revision: 1737459
- fix lib path on aarch64
- set version limit on wxgtku BR
- Minor typo in %%description
- Remove stray tab at end of line
+ philippedidier <philippedidier>
- imported package opencpn-sar-plugin

